<?php
		set_time_limit(0);
		ini_set('error_reporting', E_ALL);
	    $username = 'admin';
		$password = '1234';

		$curl_handle = curl_init();
		curl_setopt($curl_handle, CURLOPT_URL, 'http://tiendasvirtuales.im/ingram/inventario/obtener.json');
		curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);
		
		
		curl_setopt($curl_handle, CURLOPT_USERPWD, $username . ':' . $password);
		$buffer = curl_exec($curl_handle);
		curl_close($curl_handle);

		$productos = json_decode($buffer);
		
		include("db.php");
		$time_start = microtime(true);
		foreach ($productos as $producto) {
			$rs = mysql_query("SELECT id FROM price_file WHERE sku = '".$producto->sku."'");
			if(mysql_num_rows($rs)>0){
				$specs = (!empty($producto->ficha_tecnica))?$producto->ficha_tecnica:false;
				$ficha = (!$specs)?'':$specs;
				$imagen = (!empty($producto->imagen_grande) || $producto->imagen_grande!=NULL)?$producto->imagen_grande:NULL;
				$id = mysql_fetch_array($rs);
				$sql_query = "UPDATE price_file SET ficha_tecnica = '".mysql_real_escape_string($ficha)."',imagen = '".$imagen."' WHERE id = ".$id["id"];
				mysql_query($sql_query);
			}else{
				$specs = (!empty($producto->ficha_tecnica))?$producto->ficha_tecnica:false;
				$ficha = (!$specs)?'':$specs;
				$imagen = (!empty($producto->imagen_grande) || $producto->imagen_grande!=NULL)?$producto->imagen_grande:NULL;

				$rs_categoria1 = mysql_query("SELECT * FROM jos_vm_category_xref WHERE category_child_id = ".$producto->id_categoria);
				$rs1 = mysql_fetch_array($rs_categoria1);
				$familia = mysql_query("SELECT category_name FROM jos_vm_category WHERE category_id = ".$rs1["category_parent_id"]);
				$subfamilia = mysql_query("SELECT category_name FROM jos_vm_category WHERE category_id = ".$rs1["category_child_id"]);

				$categoria = mysql_fetch_array($familia);
				$subcategoria = mysql_fetch_array($subfamilia);
				$fabricante = mysql_query("SELECT mf_name FROM jos_vm_manufacturer WHERE manufacturer_id = ".$producto->id_fabricante);
				$marca = mysql_fetch_array($fabricante);
				if($categoria!=FALSE && $subcategoria!=FALSE && $marca!=FALSE){
				$sql_query1 = "INSERT INTO price_file (sku,codigo_barras,codigo_fabricante,descripcion_corta,descripcion_larga,marca,id_marca,categoria,id_categoria,width,height,weight,ficha_tecnica,imagen_full,imagen_thumb,fecha_creacion) VALUES ('".$producto->sku."','".$producto->codigo_de_barras."','".$producto->no_parte_fabricante."','".$producto->descripcion_corta."','".$producto->descripcion_larga."','".$marca["mf_name"]."',".$producto->id_fabricante.",'".$categoria["category_name"]."',".$producto->id_categoria.",'".$producto->width."','".$producto->height."','".$producto->weight."','".$producto->ficha_tecnica."','".$imagen."','".$imagen."',NOW())";
				mysql_query($sql_query1);
				}
			}
		}
		$time_end = microtime(true);
		$message = "comenzo a las: ".date('h:i:s', $time_start)."<br />";
		$message .= "y termino a las: ".date('h:i:s', $time_end);
		echo $message;
?>